Class Fox::FXCursor

In: | FXCursor.rb
Parent: | FXId

Cursor class

### Stock cursors

`CURSOR_ARROW`: | Default left pointing arrow
`CURSOR_RARROW`: | Right arrow
`CURSOR_IBEAM`: | Text I-Beam
`CURSOR_WATCH`: | Stopwatch or hourglass
`CURSOR_CROSS`: | Crosshair
`CURSOR_UPDOWN`: | Move up, down
`CURSOR_LEFTRIGHT`: | Move left, right

+CURSOR_MOVE: Move up, down, left, right

Methods

loadPixels new new savePixels

Attributes

height | [R] | Height of cursor, in pixels [Integer]
hotX | [R] | Hotspot x-coordinate [Integer]
hotY | [R] | Hotspot y-coordinate [Integer]
width | [R] | Width of cursor, in pixels [Integer]

Public Class methods

new(app, stockCursorId=CURSOR_ARROW) {|theCursor| ...}

Make stock cursor, where stockCursorId is one of the stock cursors (`CURSOR_ARROW`, `CURSOR_RARROW`, etc.)

new(app, source, mask, width=32, height=32, hotX=-1, hotY=-1) {|theCursor| ...}

Make cursor from source and mask; cursor size should be 32x32 for portability!

Public Instance methods

savePixels(stream)

Save pixel data only.

loadPixels(stream)

Load pixel data only.